import * as smartstring from '../ts/index.js';
import { tap, expect } from '@push.rocks/tapbundle';

// Docker
tap.test('expect create a Env Object', async () => {
  let envStringArray = ['VIRTUAL_HOST=sub.domain.tld', 'DEFAULT_HOST=some.domain.com'];
  let envObject: any = smartstring.docker.makeEnvObject(envStringArray);
  expect(envObject.VIRTUAL_HOST).toEqual('sub.domain.tld');
  expect(envObject.DEFAULT_HOST).toEqual('some.domain.com');
});

tap.start();
