import { tap, expect } from '@push.rocks/tapbundle';

import * as smartstring from '../ts/index.js';

tap.test('should normalize a string', async (toolsArg) => {
  const testString = `
    myawesome string;
      is indented with two spaces
  `;
  const normalizedString = smartstring.normalize.standard(testString);
  console.log(normalizedString);
  
  expect(normalizedString).toEqual(
    `myawesome string;
  is indented with two spaces
  `
  );
});

tap.start();
